# openvz_vm_update($session_id, $client_id, $vm_id, $params);

Description:

Updates an openvz vm.

Input Variables:

$session_id, $client_id, $vm_id, $params

Parameters (in $params):

server_id (int(11))

veid (int(10))

ostemplate_id (int(11))

template_id (int(11))

ip_address (varchar(255))

hostname (varchar(255))

vm_password (varchar(255))

start_boot (varchar(255))

active (varchar(255))

active_until_date (date)

description (text)

diskspace (int(11))

traffic (int(11))

bandwidth (int(11))

ram (int(11))

ram_burst (int(11))

cpu_units (int(11))

cpu_num (int(11))

cpu_limit (int(11))

io_priority (int(11))

nameserver (varchar(255))

create_dns (varchar(1))

capability (text)

config (mediumtext)

Output:

Returns the number of affected rows.